diff --git a/addons/clickhouse/24/chart/clickhouse/values.yaml b/addons/clickhouse/24/chart/clickhouse/values.yaml
index e711b6b1..720fa9b7 100644
--- a/addons/clickhouse/24/chart/clickhouse/values.yaml
+++ b/addons/clickhouse/24/chart/clickhouse/values.yaml
@@ -278,6 +278,8 @@ keeper:
 defaultConfigurationOverrides: |
   <clickhouse>
     <timezone>Asia/Shanghai</timezone>
+    <max_server_memory_usage>{{  printf "%.0f" .Values.MaxServerMemoryUsage }}</max_server_memory_usage>
+    <merges_mutations_memory_usage_soft_limit>{{  printf "%.0f" .Values.MergesMutationsMemoryUsageSoftLimit }}</merges_mutations_memory_usage_soft_limit>
     <!-- Macros -->
     <macros>
       <shard from_env="CLICKHOUSE_SHARD_ID"></shard>
@@ -294,8 +296,8 @@ defaultConfigurationOverrides: |
       <cluster>
         {{- $shards := $.Values.shards | int }}
         {{- range $shard, $e := until $shards }}
-        <internal_replication>true</internal_replication>
         <shard>
+            <internal_replication>true</internal_replication>
             {{- $replicas := $.Values.replicaCount | int }}
             {{- range $i, $_e := until $replicas }}
             <replica>
@@ -321,10 +323,13 @@ defaultConfigurationOverrides: |
       <server_id from_env="KEEPER_SERVER_ID"></server_id>
       <log_storage_path>/drycc/clickhouse/keeper/coordination/log</log_storage_path>
       <snapshot_storage_path>/drycc/clickhouse/keeper/coordination/snapshots</snapshot_storage_path>
-
+      <max_memory_usage_soft_limit>{{  printf "%.0f" .Values.MaxServerMemoryUsage }}</max_memory_usage_soft_limit>
+      
       <coordination_settings>
           <operation_timeout_ms>10000</operation_timeout_ms>
           <session_timeout_ms>30000</session_timeout_ms>
+          <max_memory_usage_soft_limit>{{  printf "%.0f" .Values.MergesMutationsMemoryUsageSoftLimit }}</max_memory_usage_soft_limit>
+          <async_replication>true</async_replication>
           <raft_logs_level>trace</raft_logs_level>
       </coordination_settings>
 
diff --git a/addons/clickhouse/24/plans/standard-16c64g1000/values.yaml b/addons/clickhouse/24/plans/standard-16c64g1000/values.yaml
index 6c4b2f47..96c4ccbd 100644
--- a/addons/clickhouse/24/plans/standard-16c64g1000/values.yaml
+++ b/addons/clickhouse/24/plans/standard-16c64g1000/values.yaml
@@ -20,4 +20,7 @@ resources:
     memory: 16Gi
 
 persistence:
-  size: 1000Gi
\ No newline at end of file
+  size: 1000Gi
+
+MaxServerMemoryUsage: 59055800320
+MergesMutationsMemoryUsageSoftLimit: 34359738368
\ No newline at end of file
diff --git a/addons/clickhouse/24/plans/standard-2c4g20/meta.yaml b/addons/clickhouse/24/plans/standard-2c4g20/meta.yaml
index ca409ee7..6ae80b84 100644
--- a/addons/clickhouse/24/plans/standard-2c4g20/meta.yaml
+++ b/addons/clickhouse/24/plans/standard-2c4g20/meta.yaml
@@ -1,6 +1,6 @@
 name: "standard-2c4g20"
 id: 9866afb5-eeb1-4c89-a6d6-01197ff34bbc
-description: "clickhouse standard-2c4g20 plan: Disk 20Gi ,vCPUs 2 , RAM 4G "
+description: "clickhouse standard-2c4g20 plan: Disk 20Gi ,vCPUs 2 , RAM 4G , DO NOT USE THIS PLAN， only for test "
 displayName: "standard-2c4g20"
 bindable: true
 maximum_polling_duration: 1800
\ No newline at end of file
diff --git a/addons/clickhouse/24/plans/standard-2c4g20/values.yaml b/addons/clickhouse/24/plans/standard-2c4g20/values.yaml
index 254b4fea..0c5d38c4 100644
--- a/addons/clickhouse/24/plans/standard-2c4g20/values.yaml
+++ b/addons/clickhouse/24/plans/standard-2c4g20/values.yaml
@@ -21,3 +21,6 @@ resources:
 
 persistence:
   size: 20Gi
+
+MaxServerMemoryUsage: 3221225472
+MergesMutationsMemoryUsageSoftLimit: 2147483648
\ No newline at end of file
diff --git a/addons/clickhouse/24/plans/standard-32c64g12000/values.yaml b/addons/clickhouse/24/plans/standard-32c64g12000/values.yaml
index 8be44d06..a933b9da 100644
--- a/addons/clickhouse/24/plans/standard-32c64g12000/values.yaml
+++ b/addons/clickhouse/24/plans/standard-32c64g12000/values.yaml
@@ -20,4 +20,7 @@ resources:
     memory: 16Gi
 
 persistence:
-  size: 12000Gi
\ No newline at end of file
+  size: 12000Gi
+
+MaxServerMemoryUsage: 59055800320
+MergesMutationsMemoryUsageSoftLimit: 34359738368
\ No newline at end of file
diff --git a/addons/clickhouse/24/plans/standard-4c16g100/values.yaml b/addons/clickhouse/24/plans/standard-4c16g100/values.yaml
index 002cc894..39aa6b39 100644
--- a/addons/clickhouse/24/plans/standard-4c16g100/values.yaml
+++ b/addons/clickhouse/24/plans/standard-4c16g100/values.yaml
@@ -21,3 +21,6 @@ resources:
 
 persistence:
   size: 100Gi
+
+MaxServerMemoryUsage: 10737418240
+MergesMutationsMemoryUsageSoftLimit: 8589934592
\ No newline at end of file
diff --git a/addons/clickhouse/24/plans/standard-8c32g500/values.yaml b/addons/clickhouse/24/plans/standard-8c32g500/values.yaml
index dab1c884..117e2e58 100644
--- a/addons/clickhouse/24/plans/standard-8c32g500/values.yaml
+++ b/addons/clickhouse/24/plans/standard-8c32g500/values.yaml
@@ -20,4 +20,7 @@ resources:
     memory: 8Gi
 
 persistence:
-  size: 500Gi
\ No newline at end of file
+  size: 500Gi
+
+MaxServerMemoryUsage: 10737418240
+MergesMutationsMemoryUsageSoftLimit: 8589934592
\ No newline at end of file
diff --git a/addons/grafana/10/meta.yaml b/addons/grafana/10/meta.yaml
index 4a066bd4..8e4a9eac 100644
--- a/addons/grafana/10/meta.yaml
+++ b/addons/grafana/10/meta.yaml
@@ -21,4 +21,6 @@ allow_parameters:
 - name: "service.type"
   required: false
   description: "service type config for values.yaml"
+- name: "grafana.nodeSelector"
+  required: false
 archive: false
diff --git a/addons/mysql-cluster/8.0/chart/mysql-cluster/templates/primary/configmap.yaml b/addons/mysql-cluster/8.0/chart/mysql-cluster/templates/primary/configmap.yaml
index e3bf8c93..2f497755 100644
--- a/addons/mysql-cluster/8.0/chart/mysql-cluster/templates/primary/configmap.yaml
+++ b/addons/mysql-cluster/8.0/chart/mysql-cluster/templates/primary/configmap.yaml
@@ -20,4 +20,5 @@ metadata:
 data:
   my.cnf: |-
     {{- include "common.tplvalues.render" ( dict "value" .Values.primary.configuration "context" $ ) | nindent 4 }}
+    {{- include "common.tplvalues.render" ( dict "value" .Values.primary.extraConfig "context" $ ) | nindent 4 }}
 {{- end -}}
diff --git a/addons/mysql-cluster/8.0/chart/mysql-cluster/templates/primary/statefulset.yaml b/addons/mysql-cluster/8.0/chart/mysql-cluster/templates/primary/statefulset.yaml
index 822a407b..2a444c87 100644
--- a/addons/mysql-cluster/8.0/chart/mysql-cluster/templates/primary/statefulset.yaml
+++ b/addons/mysql-cluster/8.0/chart/mysql-cluster/templates/primary/statefulset.yaml
@@ -160,10 +160,6 @@ spec:
             - name: MYSQL_DATABASE
               value: {{ .Values.auth.database | quote }}
             {{- end }}
-            {{- if .Values.primary.maxConnectionLimit }}
-            - name: MAX_CONNECTION_LIMIT
-              value: {{ .Values.primary.maxConnectionLimit | quote }}
-            {{- end }}
             {{- if or (eq .Values.architecture "replication") (eq .Values.architecture "mgr") }}
             - name: MYSQL_REPLICATION_MODE
               value: "master"
diff --git a/addons/mysql-cluster/8.0/chart/mysql-cluster/values.yaml b/addons/mysql-cluster/8.0/chart/mysql-cluster/values.yaml
index d32c9c56..1639f6bd 100644
--- a/addons/mysql-cluster/8.0/chart/mysql-cluster/values.yaml
+++ b/addons/mysql-cluster/8.0/chart/mysql-cluster/values.yaml
@@ -180,7 +180,6 @@ initdbScripts:
     echo report_host=$mgr_host >> $base_conf_file
     echo loose-group_replication_group_seeds="$svc_mgr_host-0:24901,$svc_mgr_host-1:24901,$svc_mgr_host-2:24901" >> $base_conf_file 
     echo loose-group_replication_start_on_boot='OFF' >> $base_conf_file
-    echo max_connections=$MAX_CONNECTION_LIMIT >> $base_conf_file
 
 ## @param initdbScriptsConfigMap ConfigMap with the initdb scripts (Note: Overrides `initdbScripts`)
 ##
@@ -212,7 +211,14 @@ primary:
   ## ref: https://mysql.com/kb/en/mysql/configuring-mysql-with-mycnf/#example-of-configuration-file
   ##
   maxConnectionLimit: 2000
-  
+  ## against plans 
+  extraConfig: |
+    [mysqld]
+    innodb_io_capacity=2000
+    innodb_io_capacity_max=3000
+    max_connect_errors=1000000
+    thread_cache_size=200
+    
   configuration: |-
     [mysqld]
     # server
@@ -241,6 +247,8 @@ primary:
     sql_require_primary_key=ON
     log_error_suppression_list='MY-013360'
     binlog_transaction_dependency_tracking=WRITESET
+    default-time-zone='+8:00'
+    local_infile=ON
     # Replication
   
     log_bin=mysql-bin
@@ -606,8 +614,10 @@ router:
   replicaCount: 2
 
   configuration: |-
+    [DEFAULT]
+    max_total_connections = 1000
     [routing:bootstrap_rw]
-    max_connections=1000
+    max_connections= 1000
 
   ## @param primary.existingConfigmap Name of existing ConfigMap with MySQL Primary configuration.
   ## NOTE: When it's set the 'configuration' parameter is ignored
diff --git a/addons/mysql-cluster/8.0/meta.yaml b/addons/mysql-cluster/8.0/meta.yaml
index df1189e4..9e3db304 100644
--- a/addons/mysql-cluster/8.0/meta.yaml
+++ b/addons/mysql-cluster/8.0/meta.yaml
@@ -27,4 +27,10 @@ allow_parameters:
 - name: "backup"
   required: false
   description: "backup config for values.yaml"
+- name: "primary.nodeSelector"
+  required: false
+  description: "primary.nodeSelector for values.yaml"
+- name: "router.nodeSelector"
+  required: false
+  description: "router.nodeSelector for values.yaml"
 archive: false
\ No newline at end of file
diff --git a/addons/mysql-cluster/8.0/plans/standard-16c64g400/values.yaml b/addons/mysql-cluster/8.0/plans/standard-16c64g400/values.yaml
index f346d776..e897821a 100644
--- a/addons/mysql-cluster/8.0/plans/standard-16c64g400/values.yaml
+++ b/addons/mysql-cluster/8.0/plans/standard-16c64g400/values.yaml
@@ -12,7 +12,19 @@ fullnameOverride: hb-mysql-cluster-standard-400
 ## @param resources.requests The requested resources for the MinIO&reg; container
 ##
 primary: 
-  maxConnectionLimit: 1600
+  extraConfig: |
+    [mysqld]
+    innodb_io_capacity=2000
+    innodb_io_capacity_max=3000
+    max_connect_errors=1000000
+    open_files_limit=2000000                                     
+    performance_schema_max_table_instances=200
+    thread_cache_size=200
+    innodb_read_io_threads=32               
+    innodb_write_io_threads=32
+    innodb_buffer_pool_instances=16
+    innodb_buffer_pool_size=42949672960
+    max_connections=16000
   resources:
     limits:
       cpu: 16000m
@@ -60,6 +72,12 @@ primary:
     selector: {}
 
 router:
+  replicaCount: 4
+  configuration: |-
+    [DEFAULT]
+    max_total_connections = 3900
+    [routing:bootstrap_rw]
+    max_connections= 3900
   resources:
     limits: 
       cpu: 1600m
diff --git a/addons/mysql-cluster/8.0/plans/standard-2c4g20/values.yaml b/addons/mysql-cluster/8.0/plans/standard-2c4g20/values.yaml
index d9422e70..40a62583 100644
--- a/addons/mysql-cluster/8.0/plans/standard-2c4g20/values.yaml
+++ b/addons/mysql-cluster/8.0/plans/standard-2c4g20/values.yaml
@@ -12,7 +12,19 @@ fullnameOverride: hb-mysql-cluster-standard-20
 ## @param resources.requests The requested resources for the MinIO&reg; container
 ##
 primary: 
-  maxConnectionLimit: 1000
+  extraConfig: |
+    [mysqld]
+    innodb_io_capacity=2000
+    innodb_io_capacity_max=3000
+    max_connect_errors=1000000
+    open_files_limit=2000000                                     
+    performance_schema_max_table_instances=200
+    thread_cache_size=200
+    innodb_read_io_threads=4                 
+    innodb_write_io_threads=4                      
+    innodb_buffer_pool_instances=2
+    innodb_buffer_pool_size=2147483648
+    max_connections=1000
   resources:
     limits:
       cpu: 2000m
@@ -59,3 +71,18 @@ primary:
     ##     app: my-app
     ##
     selector: {}
+
+router:
+  replicaCount: 2
+  configuration: |-
+    [DEFAULT]
+    max_total_connections = 400
+    [routing:bootstrap_rw]
+    max_connections= 400
+  resources:
+    limits: 
+      cpu: 500m
+      memory: 512Mi
+    requests: 
+      cpu: 500m
+      memory: 512Mi
\ No newline at end of file
diff --git a/addons/mysql-cluster/8.0/plans/standard-2c8g50/values.yaml b/addons/mysql-cluster/8.0/plans/standard-2c8g50/values.yaml
index bc9fd336..5cd7245b 100644
--- a/addons/mysql-cluster/8.0/plans/standard-2c8g50/values.yaml
+++ b/addons/mysql-cluster/8.0/plans/standard-2c8g50/values.yaml
@@ -12,7 +12,19 @@ fullnameOverride: hb-mysql-cluster-standard-50
 ## @param resources.requests The requested resources for the MinIO&reg; container
 ##
 primary: 
-  maxConnectionLimit: 2000
+  extraConfig: |
+    [mysqld]
+    innodb_io_capacity=2000
+    innodb_io_capacity_max=3000
+    max_connect_errors=1000000
+    open_files_limit=2000000                                     
+    performance_schema_max_table_instances=200
+    thread_cache_size=200
+    innodb_read_io_threads=4                 
+    innodb_write_io_threads=4                      
+    innodb_buffer_pool_instances=2
+    innodb_buffer_pool_size=4294967296
+    max_connections=2000
   resources:
     limits:
       cpu: 2000m
@@ -58,3 +70,17 @@ primary:
     ##     app: my-app
     ##
     selector: {}
+router:
+  replicaCount: 2
+  configuration: |-
+    [DEFAULT]
+    max_total_connections = 900
+    [routing:bootstrap_rw]
+    max_connections= 900
+  resources:
+    limits: 
+      cpu: 500m
+      memory: 512Mi
+    requests: 
+      cpu: 500m
+      memory: 512Mi
\ No newline at end of file
diff --git a/addons/mysql-cluster/8.0/plans/standard-32c128g800/values.yaml b/addons/mysql-cluster/8.0/plans/standard-32c128g800/values.yaml
index c25affff..92916170 100644
--- a/addons/mysql-cluster/8.0/plans/standard-32c128g800/values.yaml
+++ b/addons/mysql-cluster/8.0/plans/standard-32c128g800/values.yaml
@@ -12,7 +12,19 @@ fullnameOverride: hb-mysql-cluster-standard-800
 ## @param resources.requests The requested resources for the MinIO&reg; container
 ##
 primary: 
-  maxConnectionLimit: 32000
+  extraConfig: |
+    [mysqld]
+    innodb_io_capacity=2000
+    innodb_io_capacity_max=3000
+    max_connect_errors=1000000
+    open_files_limit=2000000                                     
+    performance_schema_max_table_instances=200
+    thread_cache_size=200
+    innodb_read_io_threads=64              
+    innodb_write_io_threads=64
+    innodb_buffer_pool_instances=32
+    innodb_buffer_pool_size=85899345920
+    max_connections=32000
   resources:
     limits:
       cpu: 32000m
@@ -59,6 +71,12 @@ primary:
     ##
     selector: {}
 router:
+  replicaCount: 4
+  configuration: |-
+    [DEFAULT]
+    max_total_connections = 7900
+    [routing:bootstrap_rw]
+    max_connections= 7900
   resources:
     limits: 
       cpu: 3200m
diff --git a/addons/mysql-cluster/8.0/plans/standard-4c16g100/values.yaml b/addons/mysql-cluster/8.0/plans/standard-4c16g100/values.yaml
index 68412b31..9fdcd02b 100644
--- a/addons/mysql-cluster/8.0/plans/standard-4c16g100/values.yaml
+++ b/addons/mysql-cluster/8.0/plans/standard-4c16g100/values.yaml
@@ -12,14 +12,27 @@ fullnameOverride: hb-mysql-cluster-standard-100
 ## @param resources.requests The requested resources for the MinIO&reg; container
 ##
 primary: 
-  maxConnectionLimit: 4000
+  extraConfig: |
+    [mysqld]
+    innodb_io_capacity=2000
+    innodb_io_capacity_max=3000
+    max_connect_errors=1000000
+    open_files_limit=2000000                                     
+    performance_schema_max_table_instances=200
+    thread_cache_size=200
+    innodb_read_io_threads=8                 
+    innodb_write_io_threads=8                          
+    innodb_buffer_pool_instances=4
+    innodb_buffer_pool_size=10737418240
+    max_connections=4000
+
   resources:
     limits:
       cpu: 4000m
       memory: 16Gi
     requests:
       cpu: 4000m
-      memory: 16Gi
+      memory: 12Gi
   
 ## @section Persistence parameters
 
@@ -60,6 +73,12 @@ primary:
     selector: {}
 
 router:
+  replicaCount: 3
+  configuration: |-
+    [DEFAULT]
+    max_total_connections = 1200
+    [routing:bootstrap_rw]
+    max_connections= 1200
   resources:
     limits: 
       cpu: 500m
diff --git a/addons/mysql-cluster/8.0/plans/standard-8c32g200/values.yaml b/addons/mysql-cluster/8.0/plans/standard-8c32g200/values.yaml
index 4061331e..5bd7daef 100644
--- a/addons/mysql-cluster/8.0/plans/standard-8c32g200/values.yaml
+++ b/addons/mysql-cluster/8.0/plans/standard-8c32g200/values.yaml
@@ -12,7 +12,19 @@ fullnameOverride: hb-mysql-cluster-standard-200
 ## @param resources.requests The requested resources for the MinIO&reg; container
 ##
 primary: 
-  maxConnectionLimit: 8000
+  extraConfig: |
+    [mysqld]
+    innodb_io_capacity=2000
+    innodb_io_capacity_max=3000
+    max_connect_errors=1000000
+    open_files_limit=2000000                                     
+    performance_schema_max_table_instances=200
+    thread_cache_size=200
+    innodb_read_io_threads=16                 
+    innodb_write_io_threads=16                          
+    innodb_buffer_pool_instances=8
+    innodb_buffer_pool_size=22548578304
+    max_connections=8000
   resources:
     limits:
       cpu: 8000m
@@ -60,6 +72,12 @@ primary:
     selector: {}
 
 router:
+  replicaCount: 4
+  configuration: |-
+    [DEFAULT]
+    max_total_connections = 1900
+    [routing:bootstrap_rw]
+    max_connections= 1900
   resources:
     limits: 
       cpu: 800m
diff --git a/addons/postgresql-cluster/15/chart/postgresql-cluster/values.yaml b/addons/postgresql-cluster/15/chart/postgresql-cluster/values.yaml
index efa6be7a..7e3ca476 100644
--- a/addons/postgresql-cluster/15/chart/postgresql-cluster/values.yaml
+++ b/addons/postgresql-cluster/15/chart/postgresql-cluster/values.yaml
@@ -356,7 +356,7 @@ persistentVolume:
   ##   set, choosing the default provisioner.  (gp2 on AWS, standard on
   ##   GKE, AWS & OpenStack)
   ##
-  # storageClass: "-"
+  storageClass: ""
   subPath: ""
   mountPath: "/home/postgres/pgdata"
   annotations: {}
diff --git a/addons/postgresql-cluster/15/plans/standard-1c2g10/bind.yaml b/addons/postgresql-cluster/15/plans/standard-1c2g10/bind.yaml
deleted file mode 100644
index 43111931..00000000
--- a/addons/postgresql-cluster/15/plans/standard-1c2g10/bind.yaml
+++ /dev/null
@@ -1,42 +0,0 @@
-credential:
-{{- if (eq .Values.service.type "LoadBalancer") }}
-  - name: EXTRANET_MASTER_HOST
-    valueFrom:
-      serviceRef:
-        name: {{ include "common.names.fullname" . }}-master
-        jsonpath: '{ .status.loadBalancer.ingress[*].ip }'
-  - name: EXTRANET_REPL_HOST
-    valueFrom:
-      serviceRef:
-        name: {{ template "common.names.fullname" . }}-repl
-        jsonpath: '{ .status.loadBalancer.ingress[*].ip }'
-{{- end }}
-  - name: DOMAIN_MASTER
-    value: {{ template "common.names.fullname" . }}-master.{{ .Release.Namespace }}.svc.{{ .Values.clusterDomain }}
-  - name: DOMAIN_REPL
-    value: {{ template "common.names.fullname" . }}-repl.{{ .Release.Namespace }}.svc.{{ .Values.clusterDomain }}
-  - name: MASTER_HOST
-    valueFrom:
-      serviceRef:
-        name: {{ include "common.names.fullname" . }}-master
-        jsonpath: '{ .spec.clusterIP }'
-  - name: REPL_HOST
-    valueFrom:
-      serviceRef:
-        name: {{ include "common.names.fullname" . }}-repl
-        jsonpath: '{ .spec.clusterIP }'
-  - name: PASSWORD
-    valueFrom:
-      secretKeyRef:
-        name: {{ template "common.names.fullname" . }}
-        jsonpath: '{ .data.admin-password }' 
-  - name: USERNAME
-    valueFrom:
-      secretKeyRef:
-        name: {{ template "common.names.fullname" . }}
-        jsonpath: '{ .data.admin-user }' 
-  - name: PORT
-    value: 5432
-  - name: DADABASE
-    value: postgres
-
diff --git a/addons/postgresql-cluster/15/plans/standard-1c2g10/create-instance-schema.json b/addons/postgresql-cluster/15/plans/standard-1c2g10/create-instance-schema.json
deleted file mode 100644
index 66ebbaa0..00000000
--- a/addons/postgresql-cluster/15/plans/standard-1c2g10/create-instance-schema.json
+++ /dev/null
@@ -1,12 +0,0 @@
-{
-  "$schema": "http://json-schema.org/draft-04/schema#",
-  "type": "object",
-  "properties": {
-    "imagePullPolicy": {
-      "type": "string",
-      "enum": ["Always", "IfNotPresent", "Never"],
-      "default": "IfNotPresent",
-      "title": "Image pull policy"
-    }
-  }
-}
\ No newline at end of file
diff --git a/addons/postgresql-cluster/15/plans/standard-1c2g10/meta.yaml b/addons/postgresql-cluster/15/plans/standard-1c2g10/meta.yaml
deleted file mode 100644
index ecec7095..00000000
--- a/addons/postgresql-cluster/15/plans/standard-1c2g10/meta.yaml
+++ /dev/null
@@ -1,6 +0,0 @@
-name: "standard-1c2g10"
-id: 83c3b52e-2685-4362-9ea1-42e170060c78
-description: "Postgresql Cluster standard-10 plan: Disk 10Gi ,vCPUs 1 , RAM 2G , DB MAX Connection 600"
-displayName: "standard-1c2g10"
-bindable: true
-maximum_polling_duration: 1800
diff --git a/addons/postgresql-cluster/15/plans/standard-1c2g10/values.yaml b/addons/postgresql-cluster/15/plans/standard-1c2g10/values.yaml
deleted file mode 100644
index 80634ab3..00000000
--- a/addons/postgresql-cluster/15/plans/standard-1c2g10/values.yaml
+++ /dev/null
@@ -1,78 +0,0 @@
-## @param fullnameOverride String to fully override common.names.fullname template
-##
-fullnameOverride: hb-postgresql-cluster-standard-10
-
-postgresql:
-  config: |-
-    # Connectivity
-    max_connections = 980
-    superuser_reserved_connections = 3
-
-    # Memory Settings
-    shared_buffers = '256 MB'
-    work_mem = '32 MB'
-    maintenance_work_mem = '320 MB'
-    huge_pages = off
-    effective_cache_size = '1 GB'
-    effective_io_concurrency = 100 # concurrent IO only really activated if OS supports posix_fadvise function
-    random_page_cost = 1.25 # speed of random disk access relative to sequential access (1.0)
-
-    # Monitoring
-    track_io_timing=on        # measure exact block IO times
-    track_functions=pl        # track execution times of pl-language procedures if any
-
-    # Replication
-    max_wal_senders = 10
-    synchronous_commit = on
-
-    # Checkpointing: 
-    checkpoint_timeout  = '15 min' 
-    checkpoint_completion_target = 0.9
-    max_wal_size = '1 GB'
-    min_wal_size = '512 MB'
-
-    # WAL writing
-    wal_compression = on
-    wal_buffers = -1    # auto-tuned by Postgres till maximum of segment size (16MB by default)
-    wal_writer_delay = 200ms
-    wal_writer_flush_after = 1MB
-    wal_keep_size = '1 GB'
-
-    # Background writer
-    bgwriter_delay = 200ms
-    bgwriter_lru_maxpages = 100
-    bgwriter_lru_multiplier = 2.0
-    bgwriter_flush_after = 0
-
-    # Parallel queries: 
-    max_worker_processes = 2
-    max_parallel_workers_per_gather = 1
-    max_parallel_maintenance_workers = 1
-    max_parallel_workers = 2
-    parallel_leader_participation = on
-
-    # Advanced features 
-    enable_partitionwise_join = on 
-    enable_partitionwise_aggregate = on
-    jit = on
-    max_slot_wal_keep_size = '1000 MB'
-    track_wal_io_timing = on
-    maintenance_io_concurrency = 100
-
-resources: 
-  # If you do want to specify resources, uncomment the following
-  # lines, adjust them as necessary, and remove the curly braces after 'resources:'.
-  limits:
-    cpu: 1000m
-    memory: 2Gi
-    hugepages-2Mi: 4Mi
-  requests:
-    cpu: 1000m
-    memory: 2Gi
-
-persistentVolume:
-  enabled: true
-  size: 10Gi
-
-shmVolume:
-  sizeLimit: "1Gi"
\ No newline at end of file
diff --git a/addons/prometheus/2/meta.yaml b/addons/prometheus/2/meta.yaml
index 50079cc3..97504a6d 100644
--- a/addons/prometheus/2/meta.yaml
+++ b/addons/prometheus/2/meta.yaml
@@ -51,4 +51,10 @@ allow_parameters:
 - name: "server.evaluationInterval"
   required: false
   description: "evaluationInterval values.yaml"
+- name: "server.nodeSelector"
+  required: false
+  description: "server nodeSelector"
+- name: "alertmanager.nodeSelector"
+  required: false
+  description: "alertmanager nodeSelector"
 archive: false